# TdApi.RecommendedChatFilter (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: RecommendedChatFilter

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RecommendedChatFilter

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.RecommendedChatFilter

Enclosing class:
  TdApi

public static final class TdApi.RecommendedChatFilter extends TdApi.Object
Describes a recommended chat filter.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`description`
Chat filter description.
`TdApi.ChatFilter`
`filter`
The chat filter.

## Constructor Summary

Constructors
Constructor
Description
`RecommendedChatFilter()`
Describes a recommended chat filter.
`RecommendedChatFilter(TdApi.ChatFilter filter, String description)`
Describes a recommended chat filter.
`RecommendedChatFilter(DataInput input)`
Describes a recommended chat filter.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### filter

public TdApi.ChatFilter filter
The chat filter.

### description

public String description
Chat filter description.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### RecommendedChatFilter

public RecommendedChatFilter()
Describes a recommended chat filter.

### RecommendedChatFilter

public RecommendedChatFilter(TdApi.ChatFilter filter, String description)
Describes a recommended chat filter.

Parameters:
  `filter` - ChatFilter The chat filter.
  `description` - String Chat filter description.

### RecommendedChatFilter

public RecommendedChatFilter(DataInput input) throws IOException
Describes a recommended chat filter.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`